org.apache.cassandra.notifications

## Class MemtableSwitchedNotification

- java.lang.Object
- - org.apache.cassandra.notifications.MemtableSwitchedNotification

- All Implemented Interfaces:
    INotification

      public class MemtableSwitchedNotification
      extends java.lang.Object
      implements INotification

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Memtable` | `memtable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemtableSwitchedNotification(Memtable switched)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### memtable

          public final Memtable memtable

  - ### Constructor Detail

    - #### MemtableSwitchedNotification

          public MemtableSwitchedNotification(Memtable switched)

Copyright © 2018 The Apache Software Foundation